Skip to main content
GET
/
cards
List cards
curl --request GET \
  --url https://api.equalsmoney.com/v2/cards \
  --header 'Authorization: <api-key>'
{
  "limit": 200,
  "offset": 100,
  "count": 67,
  "search": "Cesar+Treutel",
  "rows": [
    {
      "id": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
      "personId": "775596ae-2624-40af-a9dc-9756110a4a04",
      "accountId": "F50091",
      "careOfLine": "string",
      "cardProductName": "string",
      "lastFour": "0056",
      "expiration": "0111",
      "expirationTime": "2025-01-31T23:59:59Z",
      "pinIsSet": true,
      "state": "ACTIVE",
      "stateReason": "New card",
      "fulfillmentStatus": "ISSUED",
      "fulfillment": {
        "shippingMethod": "COURIER"
      },
      "cardType": "PHYSICAL_MSR",
      "recipientAddress": {
        "firstName": "Jane",
        "middleName": "Roger",
        "lastName": "Doe",
        "address1": "123 Henry St",
        "address2": "Suite 101",
        "city": "Porterville",
        "state": "CA",
        "postalCode": "93257",
        "country": "US",
        "phone": "831555555"
      },
      "cardOwnerType": "PEOPLE",
      "name": "Team Party Card",
      "budgetCardPhoneNumber": "+447911001762",
      "meta": [
        {
          "id": "string",
          "cardId": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
          "CardId": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
          "metaKey": "expirationTime",
          "metaValue": "New card",
          "createdAt": "2019-08-24T14:15:22Z",
          "updatedAt": "2019-08-24T14:15:22Z"
        }
      ],
      "budgets": [
        {
          "id": "775596ae-2624-40af-a9dc-9756110a4a03",
          "name": "Engineering",
          "type": "accountBalance",
          "access": "allowed"
        }
      ],
      "budget": {
        "id": "775596ae-2624-40af-a9dc-9756110a4a03",
        "name": "Engineering",
        "type": "accountBalance",
        "access": "allowed"
      },
      "spendingLimit": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "amount": 100.5,
        "currencyCode": "GBP",
        "active": true,
        "usageLimit": 15,
        "limitTurnedOff": true,
        "limitWindow": "DAY",
        "available": {
          "uses": 0,
          "amount": 100.5,
          "daysRemaining": 1
        }
      },
      "transactionLimit": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "amount": 100.5,
        "currencyCode": "GBP",
        "active": true,
        "limitTurnedOff": true,
        "limitWindow": "TRANSACTION"
      },
      "budgetCardPhoneNumberPersonId": "3f0ed336-6bdd-4498-b45f-514a625c72e1",
      "previousCards": [
        null
      ],
      "currencies": [
        {
          "numericCode": "840",
          "code": "USD"
        }
      ],
      "baseCurrencyCode": "string",
      "physicalCardState": "ACTIVE",
      "physicalCardId": "98e7d110-00ea-45f1-9af7-2dac397a7138",
      "forceChangePin": true,
      "cardGroupId": "ef3dcbc9-9ad4-44c0-8d75-217d31da37b8",
      "cardProductId": "06776ac8-abe1-475b-92ee-72405c7b0e60",
      "cardProductToken": "2f224848-4191-4180-a090-3926042e4b39",
      "userTokenId": "187f5207-de0b-4f4e-9b90-d50d6a251c6b",
      "cardPersonalization": {
        "text": {
          "nameLine_1": {
            "value": "string"
          },
          "nameLine_2": {
            "value": "string"
          }
        }
      },
      "fundingSourceBudgetId": "dd3429fe-77dd-49d7-9f2d-81f114257fe2",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "digitalWalletSettings": [
        {
          "type": "applePay",
          "enabled": true
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

include
enum<string>

Controls which optional properties should be attached to the response. Possible values: digitalWalletSettings

Available options:
digitalWalletSettings
Example:

"digitalWalletSettings"

state
enum<string>

The state of the card. Use commas to pass multiple values. Has to be URL encoded.

Available options:
ACTIVE,
REPLACED,
TERMINATED,
SUSPENDED,
UNACTIVATED
Example:

"ACTIVE,REPLACED"

orderBy
enum<string>

The order in which to return results. By default, cards are sorted by name in ascending order.

Available options:
asc,
desc
startDate
string

The earliest date from which to retrieve records (includes records on this date).

Example:

"2020-01-01"

endDate
string

The latest date until which to retrieve records (includes records on this date).

Example:

"2020-01-01"

The term to search the records for.

Maximum string length: 100
Example:

"Cesar+Treutel"

budgetId
string<uuid>

The ID of the budget to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

cardId
string<uuid>

The ID of the card to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

cardIds

The IDs of the cards to work with. Use commas to pass multiple values. Has to be URL encoded.

cardOwnerType
enum<string>

The card owner type of the card.

Available options:
PEOPLE,
BUDGET
Example:

"PEOPLE"

personId
string<uuid>

The ID of the person to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a04"

personIds

The IDs of the personas to work with. Use commas to pass multiple values. Has to be URL encoded.

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100

Response

200 - application/json

OK

count
integer
required

The total amount of records matching the querying when "limit" is ignored.

Example:

67

rows
object[]
required
limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100

The term to search the records for.

Maximum string length: 100
Example:

"Cesar+Treutel"